Package org.apache.groovy.json.internal

# Class MapItemValue

java.lang.Object
org.apache.groovy.json.internal.MapItemValue

All Implemented Interfaces:
  `Map.Entry<String,Value>`

public class MapItemValue extends Object implements Map.Entry<String,Value>
This holds a mapping from value key to value value to maximize laziness.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final ConcurrentHashMap<String,String>`
  `internedKeysCache`
  Shared cache for optional key interning.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MapItemValue(Value name, Value value)`
  Creates a lazily decoded entry pair.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getKey()`
  `Value`
  `getValue()`
  `Value`
  `setValue(Value value)`
  Unsupported for parser-created entries.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Map.Entry

  `equals, hashCode`

- ## Field Details

  - ### internedKeysCache

    protected static final ConcurrentHashMap<String,String> internedKeysCache
    Shared cache for optional key interning.

- ## Constructor Details

  - ### MapItemValue

    public MapItemValue(Value name, Value value)
    Creates a lazily decoded entry pair.
    Parameters:
      `name` - key token
      `value` - value token

- ## Method Details

  - ### getKey

    public String getKey()
    Specified by:
      `getKey` in interface `Map.Entry<String,Value>`

  - ### getValue

    public Value getValue()
    Specified by:
      `getValue` in interface `Map.Entry<String,Value>`

  - ### setValue

    public Value setValue(Value value)
    Unsupported for parser-created entries.
    Specified by:
      `setValue` in interface `Map.Entry<String,Value>`
    Parameters:
      `value` - replacement value
    Returns:
      never returns normally